Issue 40612 - Ctrl+Shift+N can't be reassigned via keyboard shortcut
Summary: Ctrl+Shift+N can't be reassigned via keyboard shortcut
Status: ACCEPTED
Alias: None
Product: Writer
Classification: Application
Component: editing (show other issues)
Version: 680m69
Hardware: All Windows XP
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2005-01-13 23:06 UTC by peschtra
Modified: 2013-08-07 14:38 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Screen shot of my shortcut configure menu (25.07 KB, image/png)
2005-02-01 04:37 UTC, peschtra
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description peschtra 2005-01-13 23:06:05 UTC
When I try to assign Ctrl+Shift+N as a keyboard shortcut, it doesn't work. it
still always pops up the New Template dialog box.

I don't know if this is because of the other issues that have been raised about
keyboard shortcut mapping, but this seems to be a problem.

Thanks.
Comment 1 michael.ruess 2005-01-14 07:15:38 UTC
reassigned to ES.
Comment 2 eric.savary 2005-01-14 11:14:21 UTC
Please explain what you do step by step and what you get.
Comment 3 peschtra 2005-01-15 08:12:15 UTC
I went to Tools > Configure > Keyboard

Foound Restart Numbering in the list in the bottom of the bottom of the menu.
Assigned it Ctrl+Shift+N. I hit OK. Tried it and I got the new template menu.

Even after I closed and retarted OOo, the same thing happened. I am wondering if
it is related to #40531.
Comment 4 eric.savary 2005-01-18 14:28:15 UTC
Sorry, I think I mixed up 2 similar issues....

ES->AS: as discussed, it seems like shortcuts are only registred in a new document.
Comment 5 peschtra 2005-02-01 04:35:48 UTC
A new twist to this in 1.9.74 is this.

I assign a shortcut to About OOo to Ctrl+N , just to test. The shortcut worked.
Instead of a new doc dialog,  about OOo popped up. I then unassigned it. After I
unassigned it, the about OOo still popped up with ctrl+N. Odd.

The next test I performed (directly related to this issue) was I assigned about
OOo to ctrl+shift+N. Now, ctrl+shift+N still showed the new from template
dialog, not about OOo, and ctrl+N shows the about OOo dialog, even though it is
not assigned to that.

I have attached a picture that may or may not help.
Comment 6 peschtra 2005-02-01 04:37:37 UTC
Created attachment 22062 [details]
Screen shot of my shortcut configure menu
Comment 7 andreas.schluens 2007-01-02 11:09:27 UTC
.
Comment 8 nguyen12 2008-09-18 01:12:43 UTC
ok
Comment 9 verdy_p 2009-02-15 23:02:20 UTC
In fact, the "Insert Note" currently works from the (very incorrect) binding
Ctrl+Alt+N instead of Ctrl+Shift+N.

What is wrong in Ctrl+Alt+N (which is equivalent to AltGr+N on international
keyboards) is that this key binding is normally reserved for the input of some
international characters. When I type it on my keyboard (whose driver on Windows
is correctly configured to allow entering a macron as a ded key), I can't get
the character, but the "Insert Note" function is activated.

Apparently, the Cltr+Alt+N keybinding is hardcoded within the function, and any
attempt to change it from the Keyboard shortcuts editor (menu "Tools>Customize")
has no effect: the Ctrl+Alt+N keybinding remains in effect (the default assigned
keybinding is effectively Cltr+Shift+N, you can remove it, or change it, but
this has no effect on the hardcoded Ctrl+Alt+N binding that must be somewhere in
the C/C++ source of this function, that completely ignores the user preference.

PLEASE REMOVE THE HARDCODED "CTRL+ALT+N" KEYBOARD SHORTCUT BINDING from your
source code and read the user preferences instead to determine this binding
(that are set in the "Tools>Customize" panel).

This bug is there since very long (since the begining of the introduction of the
"Insert Note" function in OOo), it has been signaled many times in the past and
incorrectly analyzed and closed prematurely in all successibve versions; it is
still there in OOo3.0.1: it is breaking the normal input of characters that DO
NEED a full access to all <Ctrl+Alt+key>=<AltGr+Key> or
<Shift+Ctrl+Alt+key>=<Shift+AltGr+Key>, where the key is in the main
alphanumeric part of the keyboard (with the exception of function keys that you
can more freely reassign for bindings).

(Note that <Ctrl+Key> or <Ctrl+Shift+Key> shortcuts are free for mapping OO
functions or menus, as well as <Alt+Key> or <Shift+Alt+Key>...)

For your information, just look at the MS Keyboard layout editor, and look at
those keys that are needed in international keyboards: load their layouts. Make
sure you have understood as well how the Asian keyboards use the various layout
modes. Make sure that your bindings are also compatible with the Canadian
keyboard and the US International keyboard.

Don't assume that users will just use the basic national keyboard: many users
have "extended" keyboards with assitional characters added for example with a
custom driver created with MSKLC. For example, on my French keyboard, I have
added Latin extensions needed for French and for most European languages,
including the additional dead keys that are missing on usual (limited) French
keyboards (for example the default French keyboard lacks the possibility of
entering capitals with accents: my extended keyboard remains fully compatible
with the default basic keyboard but adds the necessary dead keys such as the
cedilla, macron, acute accent, grace accent, ring above, breve accent, hacek, or
combining strokes needed for entering International toponyms and people names,
or scientific names, without having to look for those characters in a large and
complex Latin charmap).
Comment 10 Rob Weir 2013-07-30 02:41:21 UTC
Reset assignee on issues not touched by assignee in more than 1000 days.